commit:     ef02a28b49a2691b30eb78155480cacdb3cb2946
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 29 22:20:42 2023 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Thu Mar 30 00:08:07 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef02a28b

sys-apps/semodule-utils: bump to 3.5

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 sys-apps/semodule-utils/Manifest                  |  1 +
 sys-apps/semodule-utils/semodule-utils-3.5.ebuild | 43 +++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/sys-apps/semodule-utils/Manifest b/sys-apps/semodule-utils/Manifest
index 8af035a8c1e0..1b2a794b3af3 100644
--- a/sys-apps/semodule-utils/Manifest
+++ b/sys-apps/semodule-utils/Manifest
@@ -1,2 +1,3 @@
 DIST semodule-utils-3.3.tar.gz 14268 BLAKE2B 
5b03dd731c28e29b146e9f75fa7ce5151e58df1ea6598356b1ad9ee6846d2ebf7ceb57c740aa0ae4b94e0a7356180bd8e608d6a9543b48251e553036f2b2833e
 SHA512 
76aa0c9322889c7de100f3c5789bdf27b7073827fe2af371bd50a4517baa8442f35e53f16a93227dce93da0ceb054bea7e5ee17a46fe05e06f3c2d9925cf59dc
 DIST semodule-utils-3.4.tar.gz 14267 BLAKE2B 
292c9550a5f1bc8b901c7c95fe2dde07068513bf7d358decab65afc2db185996ec905b582691265a63aba7bc47f4e1d6da4c867eb9a9df5b22fc623a716e927b
 SHA512 
3a102eb83e1feff9796c4da572500be1e3a8a8bc8a7eed762ef4144761280f0513050c714aa287b1e4e67d2938f9f9a0ee5036762472d732eae0288b437cb7a9
+DIST semodule-utils-3.5.tar.gz 14383 BLAKE2B 
a1bb432013bca1023d99b32f43b2c972b6b807a4677f9d8c9fb9aff10225232506f3ecca86fc231b4c63d04582a91a1c4218f87ce5532a4d35a26a09665c6f10
 SHA512 
7c32f425ae71745040d1c6a6585149a1efb319913aa9d4c8bf185b0a4216dc66378fa38595b171614ee3ae4ade997d3ae56a060346e334faec55c419a87d71dd

diff --git a/sys-apps/semodule-utils/semodule-utils-3.5.ebuild 
b/sys-apps/semodule-utils/semodule-utils-3.5.ebuild
new file mode 100644
index 000000000000..525188411f40
--- /dev/null
+++ b/sys-apps/semodule-utils/semodule-utils-3.5.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit toolchain-funcs
+
+MY_PV="${PV//_/-}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="SELinux policy module utilities"
+HOMEPAGE="https://github.com/SELinuxProject/selinux/wiki";
+
+if [[ ${PV} == *9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/SELinuxProject/selinux.git";
+       S="${WORKDIR}/${P}/${PN}"
+else
+       
SRC_URI="https://github.com/SELinuxProject/selinux/releases/download/${MY_PV}/${MY_P}.tar.gz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~mips ~x86"
+       S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+DEPEND=">=sys-libs/libsepol-${PV}:="
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+
+       sed -i 's/-Werror//g' "${S}"/*/Makefile || die "Failed to remove Werror"
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)"
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+}

Reply via email to